Skip to main content
POST
/
assets
/
prices
/
{id}
TypeScript
const response: Promise<FireblocksResponse<AssetPriceResponse>> = fireblocks.blockchainsAssets.setAssetPrice(blockchainsAssetsApiSetAssetPriceRequest);
{
  "legacyId": "ETH",
  "lastUpdateAt": 1716898542,
  "currency": "USD",
  "price": 3500,
  "source": "PRIVATE"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

id
string
required

The ID of the asset

Body

application/json
currency
string
required

Currency (according to ISO 4217 currency codes)

Example:

"USD"

price
number
required

Price in currency

Example:

3100

Response

Asset price has been set successfully.

legacyId
string
required

The ID of the asset

Example:

"ETH"

lastUpdateAt
number
required

Time of last price update

Example:

1716898542

currency
string
required

Currency (according to ISO 4217 currency codes)

Example:

"USD"

price
number
required

Price in currency

Example:

3500

source
enum<string>
required

Source of the price data

Available options:
PUBLIC,
PRIVATE
Example:

"PRIVATE"